BDU:2020-01818: Уязвимость библиотеки libarchive, связанная с неконтролируемым расходом ресурсов, позволяющая нарушителю вызвать отказ в обслуживании

Описание уязвимости Уязвимость библиотеки libarchive связана с чтением за границами буфера памяти. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, вызвать отказ в обслуживании при помощи специально созданного файла ISO966
Вендор Canonical Ltd., ООО «РусБИТех-Астра», Red Hat Inc., Fedora Project, Сообщество свободного программного обеспечения, Novell Inc., АО "НППКТ"
Наименование ПО Ubuntu, Astra Linux Special Edition (запись в едином реестре российских программ №369), Red Hat Enterprise Linux, Fedora, Debian GNU/Linux, OpenSUSE Leap, Astra Linux Special Edition для «Эльбрус» (запись в едином реестре российских программ №11156), libarchive, ОСОН ОСнова Оnyx (запись в едином реестре российских программ №5913)
Версия ПО
  • 14.04 LTS (Ubuntu)
  • 1.5 «Смоленск» (Astra Linux Special Edition)
  • 7 (Red Hat Enterprise Linux)
  • 16.04 LTS (Ubuntu)
  • 18.04 LTS (Ubuntu)
  • 28 (Fedora)
  • 18.10 (Ubuntu)
  • 1.6 «Смоленск» (Astra Linux Special Edition)
  • 8.0 (Debian GNU/Linux)
  • 9.0 (Debian GNU/Linux)
  • 29 (Fedora)
  • 8 (Red Hat Enterprise Linux)
  • 15.0 (OpenSUSE Leap)
  • 15.1 (OpenSUSE Leap)
  • 10.0 (Debian GNU/Linux)
  • 8.1 «Ленинград» (Astra Linux Special Edition для «Эльбрус»)
  • от 2.8.0 до 3.4.0 (libarchive)
  • до 2.4.3 (ОСОН ОСнова Оnyx)
Тип ПО Операционная система, Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
Тип ошибки Неконтролируемый расход ресурса («Истощение ресурса»)
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 04.02.2019
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,1)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 6,5)
Возможные меры по устранению уязвимости
Использование рекомендаций:
Для libarchive:
Обновление программного обеспечения до 3.1.2-11+deb8u8 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета libarchive) до 3.1.2-11+deb8u8 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета libarchive) до 3.1.2-11+deb8u8 или более поздней версии

Для программных продуктов Novell Inc.:
https://lists.opensuse.org/opensuse-security-announce/2019-04/msg00055.html
https://lists.opensuse.org/opensuse-security-announce/2019-12/msg00012.html
https://lists.opensuse.org/opensuse-security-announce/2019-12/msg00015.html

Для программных продуктов Red Hat Inc.:
https://access.redhat.com/security/cve/CVE-2019-1000020

Для Fedora:
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/CBOCC2M6YGPZA6US43YK4INPSJZZHRTG/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/ZVXA7PHINVT6DFF6PRLTDTVTXKDLVHNF/

Для Ubuntu:
https://usn.ubuntu.com/3884-1/

Для ОСОН Основа:
Обновление программного обеспечения libarchive до версии 3.4.3-2osnova1
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Исчерпание ресурсов
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения